set samples 1000
set xrange[0:30]
set key bottom
set key left

set xlabel '$\frac \varrho {m^{-3}}$'
set ylabel 'Funktion'
set title 'Ein Graph mit \LaTeX'
set label '$M_1$' at 24,-5000 rotate by 45

# Now here it gets a bit tricky when you are using special LaTeX stuff
# like math code (and this is what this all is about;-) in the key.
# Gnuplot doesn't know how wide/high stuff typeset by TeX will be.
# The text '$\sigma$' becomes just a tiny greek letter. 
# There's no easy way (maybe some on-the-fly latex in future?) to get 
# the real sizes in advance.
# What we can do:
# Left-justify the whole key - in simple cases it doesn't matter that 
# gnuplot thought the text to be wider.

set key Left reverse

# Increase vertical spacing for \frac, ^{exponent} & Co.

set key spacing 2.4

# When we want a box, gnuplot has to know how wide it should be
# Idea: Take the longest title string (raw code) and give a number of 
# characters to substract from it. So '$\sigma$' is really 1 character, 
# 7 less than the raw code...

set key box
set key width -45

plot x**3/log(x)*sin(x) title '$\frac{\varrho^3}{\ln (\varrho \cdot m^3)}\cdot\sin\varrho$'
